#!/usr/bin/env python3

import sys
import charmhelpers.contrib.ansible
import charmhelpers.payload.execd

hooks = charmhelpers.contrib.ansible.AnsibleHooks(
    playbook_path='playbooks/testflinger-agent.yaml',
    default_hooks=['start', 'stop', 'config-changed'])


@hooks.hook('install', 'upgrade-charm')
def install():
    """Install ansible first
    """
    charmhelpers.payload.execd.execd_preinstall()
    charmhelpers.contrib.ansible.install_ansible_support(from_ppa=False)


if __name__ == "__main__":
        hooks.execute(sys.argv)
